{{ define "header" }}
  {{ partialCached "page/page-header.html" . . }}
{{ end }}

{{ define "aside" }}

  {{- $json := printf "%smedia/data.json" .Site.BaseURL -}}
  {{- $data := getJSON $json -}}

  <aside class="flex-shrink-0 lg:order-last hidden xl:block xl:h-auto border-b lg:static pt-20 lg:pt-0 text-sm px-8 mt-8 md:mt-0 w-96 print:hidden" x-data="{ isExpended: true}">
		<details class="toc | xl:sticky xl:top-0 py-5 xl:pt-32 xl:-mt-12 mb-0" :open="isExpended" @resize="isExpended = window.innerWidth < 1024 ? false : true">
			<summary class="h-8 py-2 mb-1 text-sm uppercase tracking-wide text-mitigate -mt-px select-none">Table des matières</summary>
			<div class="mt-4 mb-1">
				<nav id="TableOfContents">
					<ul role="list">
					{{ range $data }}
						{{ if and (isset $currentPage.Params "data_type") (isset $currentPage.Params "data_specificites") }}
							{{ if and (eq .Type $currentPage.Params.data_type) (in (index . "Spécificités") $currentPage.Params.data_specificites) }}
							<li><a href="#{{ anchorize .Nom }}">{{ .Nom }}</a></li>
							{{ end }}
						{{ else if (isset $currentPage.Params "data_specificites") }}
							{{ if in (index . "Spécificités") $currentPage.Params.data_specificites }}
							<li><a href="#{{ anchorize .Nom }}">{{ .Nom }}</a></li>
              {{ end }}
						{{ else }}
							{{ if eq .Type $currentPage.Params.data_type }}
							<li><a href="#{{ anchorize .Nom }}">{{ .Nom }}</a></li>
              {{ end }}
						{{ end }}
					{{ end }}
					</ul>
				</nav>
			</div>
		</details>
	</aside>
{{ end }}

{{ define "main" }}

  {{- $currentPage := . -}}
  {{- $json := printf "%smedia/data.json" .Site.BaseURL -}}
  {{- $data := getJSON $json -}}

  {{- partialCached "page/page-section-header.html" . .Title -}}

  <aside class="xl:hidden border-b text-sm" x-data="{ isExpended: false}">
    <details class="toc | xl:sticky xl:top-0 py-5 xl:pt-32 xl:-mt-12 mb-0" :open="isExpended" @resize="isExpended = window.innerWidth < 1024 ? false : true">
      <summary class="h-8 py-2 mb-1 text-sm uppercase tracking-wide text-mitigate -mt-px select-none">Table des matières</summary>
      <div class="mt-4 mb-1">
        <nav id="TableOfContents">
          <ul>
          {{ range $data }}
            {{ if and (isset $currentPage.Params "data_type") (isset $currentPage.Params "data_specificites") }}
              {{ if and (eq .Type $currentPage.Params.data_type) (in (index . "Spécificités") $currentPage.Params.data_specificites) }}
              <li><a href="#{{ anchorize .Nom }}">{{ .Nom }}</a></li>
              {{ end }}
            {{ else if (isset $currentPage.Params "data_specificites") }}
              {{ if in (index . "Spécificités") $currentPage.Params.data_specificites }}
              <li><a href="#{{ anchorize .Nom }}">{{ .Nom }}</a></li>
              {{ end }}
            {{ else }}
              {{ if eq .Type $currentPage.Params.data_type }}
              <li><a href="#{{ anchorize .Nom }}">{{ .Nom }}</a></li>
              {{ end }}
            {{ end }}
          {{ end }}
          </ul>
        </nav>
      </div>
    </details>
  </aside>

  {{- partialCached "page/page-content.html" . .Content -}}

  <div class="print:py-4">
    <ul>
    {{ range $data }}

      {{ if and (isset $currentPage.Params "data_type") (isset $currentPage.Params "data_specificites") }}

        {{ if and (eq .Type $currentPage.Params.data_type) (in (index . "Spécificités") $currentPage.Params.data_specificites) }}
          {{- partial "elements/data-item.html" . -}}
        {{ end }}

      {{ else if (isset $currentPage.Params "data_specificites") }}

        {{ if in (index . "Spécificités") $currentPage.Params.data_specificites }}
          {{- partial "elements/data-item.html" . -}}
        {{ end }}

      {{ else }}

        {{ if eq .Type $currentPage.Params.data_type }}
          {{- partial "elements/data-item.html" . -}}
        {{ end }}

      {{ end }}

    {{ end }}
    </ul>
  </div>

{{ end }}
